Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eindex.page
Class PageException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.stc.eindex.master.EViewException
                  com.stc.eindex.master.ProcessingException
                      com.stc.eindex.page.PageException

All Implemented Interfaces:
  java.io.Serializable

public class PageException
extends ProcessingException

The PageException class represents an exception thrown when an error occurs while paging through the results of a search using the page iterator (such as when an object in the iterator cannot be retrieved, the iterator cannot be created, or next is called when the iterator index is already at the end).

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`PageException()` Creates a new instance of the PageException class without an error message.
`PageException(java.lang.String msg)` Creates a new instance of the PageException class with an error message.
`PageException(java.lang.String msg, java.lang.Throwable t)` Creates a new instance of the PageException class with an error message and a chain of errors.
`PageException(java.lang.Throwable t)` Creates a new instance of the PageException class without an error message but with a chain of errors.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PageException

    public PageException()

  Creates a new instance of the PageException class without an error message.

  Parameters:
    None.
  Throws:
    None.

### PageException

    public PageException(java.lang.String msg)

  Creates a new instance of the PageException class with an error message.

  Parameters:
    `msg` - The error message to display for the type of error that occurred.
  Throws:
    None.

### PageException

    public PageException(java.lang.String msg,
                         java.lang.Throwable t)

  Creates a new instance of the PageException class with an error message and a chain of errors.

  Parameters:
    `msg` - The error message to display for the type of error that occurred.
    `t` - The chain of errors that caused the exception.
  Throws:
    None.

### PageException

    public PageException(java.lang.Throwable t)

  Creates a new instance of the PageException class without an error message but with a chain of errors.

  Parameters:
    `t` - The chain of errors that caused the exception.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007 by Sun Microsystems, Inc. All Rights Reserved.